Subject: TR: a problem about dhcpv6 using 'dhcp-0.10.tgz'

From: "zze-FENG Zhimin RD-CORE-CAE" <[email-masked]>
Date: Tue, 30 Jan 2007 17:34:44 +0100

> Dear Sir or Madame,
> I am an intern of France Telecom R&D . I am trying to setup  a DHCPv6
> server-client system using the 'dhcp-0.10.tgz'.  The server end is ok
> , however , I meet a problem : in the DHCPv6 client , where I always
> get a error message : ' interface eth0 iaid failed to be created' .
> And I do not know how to resolve it. Can you give me an advice?
> Thank you very much! 
> I am looking forward to your reply! 
> Yours sincerely,
>  
> Zhimin FENG 
> 
> And there are these configurations  in my  computers : 
> 
> In the HDCPv6 server : 
> /etc/ dhcp6s.conf 
> interface eth0 {
>       server-preference 255;
>      renew-time 60;
>      rebind-time 90;
>     prefer-life-time 130;
>     valid-life-time 160;
>     allow rapid-commit;
>    link BBB {
>        pool {
>             prefix 2001:1234:100::/48;
>        };
>           };
> };
> 	
> 
> And  the terminal : 
> [root@localhost ~]# dhcp6s -dDf eth0
> Jan/26/2007 09:43:59 extracted an existing DUID from
> /var/lib/dhcpv6/dhcp6s_duid: 00:01:00:01:0d:48:8c:d8:00:11:09:34:d5:bd
> Jan/26/2007 09:43:59 set timer for syncing file ...
> Jan/26/2007 09:43:59 interface definition for eth0 is ok	
> 
> 
> In the DHCPv6 Clinet :
> 
> Dhcp6c.conf 
> 
> interface eth0 {
> #	information-only;
>            send rapid-commit;
> 	request prefix-delegation;
> #	request temp-address;
> };
> 	
> 
> In the terminal :
> [root@localhost dhcp-0.10]# ./dhcp6c -c ./dhcp6c.conf -dDf eth0
> 
> Jan/26/2007 09:39:57 <3>[interface] (9)
> Jan/26/2007 09:39:57 <5>[eth0] (4)
> Jan/26/2007 09:39:57 <3>begin of closure [{] (1)
> Jan/26/2007 09:39:57 <3>comment [#      information-only;] (19)
> Jan/26/2007 09:39:57 <3>[send] (4)
> Jan/26/2007 09:39:57 <3>[rapid-commit] (12)
> Jan/26/2007 09:39:57 <3>end of sentence [;] (1)
> Jan/26/2007 09:39:57 <3>[request] (7)
> Jan/26/2007 09:39:57 <3>[prefix-delegation] (17)
> Jan/26/2007 09:39:57 <3>end of sentence [;] (1)
> Jan/26/2007 09:39:57 <3>comment [#      request temp-address;] (23)
> Jan/26/2007 09:39:57 <3>end of closure [}] (1)
> Jan/26/2007 09:39:57 <3>end of sentence [;] (1)
> Jan/26/2007 09:39:57 extracted an existing DUID from
> /var/lib/dhcpv6/dhcp6c_duid:
> 00:01:00:01:0d:4b:2e:6d:00:01:02:9d:71:c4
> Jan/26/2007 09:39:57 link local addr is fe80::250:daff:fe47:8ff9
> Jan/26/2007 09:39:57 res addr is fe80::250:daff:fe47:8ff9%eth0/28
> Jan/26/2007 09:39:57 found an interface eth0 harware bfdeed25
> Jan/26/2007 09:39:57 interface eth0 iaid failed to be created	
> 
> 
--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------